BUF_RECURSED(9)

NAME
BUF_RECURSED - checks if the lock linked to the buffer is recursed

SYNOPSIS
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/uio.h>
#include <sys/bio.h>
#include <sys/buf.h>
int
BUF_RECURSED(struct buf *bp);

DESCRIPTION
The BUF_RECURSED() function checks if the lock linked to the given buffer is recursed and returns 1 if the condition is true, 0 otherwise.

Its argument is:

bp  The buffer linked to the lock. See lockmgr_recursed(9) for details.

SEE ALSO
buf(9), BUF_LOCK(9), BUF_UNLOCK(9), lockmgr(9)

AUTHORS
This manual page was written by Attilio Rao <attilio@FreeBSD.org>.